🚧 [Experimental] Get QL chart

Returns the specified QL chart.

Request

POST

http://<хост_on-premises>/rpc/getQLChart

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "chartId": "example",
  "workbookId": "example",
  "revId": "example",
  "includePermissions": true,
  "includeLinks": true,
  "includeFavorite": true,
  "branch": "saved"
}

Name

Description

chartId

Type: string

ID of the QL chart to return. You can find it in the chart settings in DataLens interface.

Example: example

branch

Type: EntryBranch

Entry branch: saved or published.

Enum: saved, published

includeFavorite

Type: boolean

Include favorite status in the response.

includeLinks

Type: boolean

Include information on configured links in the response.

includePermissions

Type: boolean

Include information on configured permissions in the response.

revId

Type: string

Version ID for the QL chart.
If the field is empty, you will get the current version of the QL chart.

Example: example

workbookId

Type: string | null

ID of the workbook the QL chart belongs to. If navigation across folders is enabled and the QL chart belongs to a folder, the value must be null.

Example: example

EntryBranch

Entry branch: saved or published.

Type: string

Enum: saved, published

Responses

200 OK

Response

Body

application/json

null

Type: unknown

Предыдущая
Следующая